Package org.springframework.cglib.core

# Class TypeUtils

java.lang.Object
org.springframework.cglib.core.TypeUtils

public class TypeUtils extends Object

## Method Summary

Modifier and Type
Method
Description
`static Type[]`
`add(Type[] types, Type extra)`
`static Type[]`
`add(Type[] t1, Type[] t2)`
`static int`
`DCONST(double value)`
`static String`
`emulateClassGetName(Type type)`
`static String`
`escapeType(String s)`
`static int`
`FCONST(float value)`
`static Type`
`fromInternalName(String name)`
`static Type[]`
`fromInternalNames(String[] names)`
`static Type`
`getBoxedType(Type type)`
`static String`
`getClassName(Type type)`
`static Type`
`getComponentType(Type type)`
`static String`
`getPackageName(String className)`
`static String`
`getPackageName(Type type)`
`static int`
`getStackSize(Type[] types)`
`static Type`
`getType(String className)`
`static Type[]`
`getTypes(Class[] classes)`
`static Type`
`getUnboxedType(Type type)`
`static int`
`ICONST(int value)`
`static boolean`
`isAbstract(int access)`
`static boolean`
`isArray(Type type)`
`static boolean`
`isBridge(int access)`
`static boolean`
`isConstructor(MethodInfo method)`
`static boolean`
`isFinal(int access)`
`static boolean`
`isInterface(int access)`
`static boolean`
`isPrimitive(Type type)`
`static boolean`
`isPrivate(int access)`
`static boolean`
`isProtected(int access)`
`static boolean`
`isPublic(int access)`
`static boolean`
`isStatic(int access)`
`static boolean`
`isSynthetic(int access)`
`static int`
`LCONST(long value)`
`static int`
`NEWARRAY(Type type)`
`static Signature`
`parseConstructor(String sig)`
`static Signature`
`parseConstructor(Type[] types)`
`static Signature`
`parseSignature(String s)`
`static Type`
`parseType(String s)`
`static Type[]`
`parseTypes(String s)`
`static String[]`
`toInternalNames(Type[] types)`
`static String`
`upperFirst(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getType

public static Type getType(String className)

### isFinal

public static boolean isFinal(int access)

### isStatic

public static boolean isStatic(int access)

### isProtected

public static boolean isProtected(int access)

### isPublic

public static boolean isPublic(int access)

### isAbstract

public static boolean isAbstract(int access)

### isInterface

public static boolean isInterface(int access)

### isPrivate

public static boolean isPrivate(int access)

### isSynthetic

public static boolean isSynthetic(int access)

### isBridge

public static boolean isBridge(int access)

### getPackageName

public static String getPackageName(Type type)

### getPackageName

public static String getPackageName(String className)

### upperFirst

public static String upperFirst(String s)

### getClassName

public static String getClassName(Type type)

### add

public static Type[] add(Type[] types, Type extra)

### add

public static Type[] add(Type[] t1, Type[] t2)

### fromInternalName

public static Type fromInternalName(String name)

### fromInternalNames

public static Type[] fromInternalNames(String[] names)

### getStackSize

public static int getStackSize(Type[] types)

### toInternalNames

public static String[] toInternalNames(Type[] types)

### parseSignature

public static Signature parseSignature(String s)

### parseType

public static Type parseType(String s)

### parseTypes

public static Type[] parseTypes(String s)

### parseConstructor

public static Signature parseConstructor(Type[] types)

### parseConstructor

public static Signature parseConstructor(String sig)

### getBoxedType

public static Type getBoxedType(Type type)

### getUnboxedType

public static Type getUnboxedType(Type type)

### isArray

public static boolean isArray(Type type)

### getComponentType

public static Type getComponentType(Type type)

### isPrimitive

public static boolean isPrimitive(Type type)

### emulateClassGetName

public static String emulateClassGetName(Type type)

### isConstructor

public static boolean isConstructor(MethodInfo method)

### getTypes

public static Type[] getTypes(Class[] classes)

### ICONST

public static int ICONST(int value)

### LCONST

public static int LCONST(long value)

### FCONST

public static int FCONST(float value)

### DCONST

public static int DCONST(double value)

### NEWARRAY

public static int NEWARRAY(Type type)

### escapeType

public static String escapeType(String s)